Group composed of : Rolandas Janulis, Edis Grudic, Andreas Poulsen

Heroku link: http://group-task17.herokuapp.com

For the week you will be building a Java app for storing (and accessing) contact information in a Database.
You will need to design and implement tables to store this information:

First Name
Last Name
Contact Number (multiple possible - work/home/mobile/etc)
E-mail Address (multiple possible - work/personal/etc)
Home Address (may be shared by people)
Date of Birth
Family/Blood Relationship (Only close ones - mother/father/brother/sister)


Divide yourselves into groups of three or four
Later in the week we will cover the basics of WebApps

For now design the database and transactions
Some design considerations:

The app must perform CRUD operations for all tables
The app must allow me to search by name/surname/telephone number.
For a given contact it must show the related contacts and how they are related.
ADDITIONAL SPECIFICATIONS:

The app must have a public API that exposes the values as JSON
The app must have a web interface for browsing existing contacts
There must be methods for adding data (Web forms are not a requirement)
Specifically, you must create Post Mappings but they only need to be usable via Postman/Console
OPTIONAL: Web based forms for editing/adding contacts
OPTIONAL: Hosted on Heroku (Hand in both source and Heroku Link in README.md file)